package body MSHTML.IHTMLBodyElement_Object is

   procedure Put_background
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_background,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_background;

   function Get_background
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_background);
   end Get_background;

   procedure Put_bgProperties
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_bgProperties,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_bgProperties;

   function Get_bgProperties
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_bgProperties);
   end Get_bgProperties;

   procedure Put_leftMargin
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_leftMargin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_leftMargin;

   function Get_leftMargin
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_leftMargin);
   end Get_leftMargin;

   procedure Put_topMargin
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_topMargin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_topMargin;

   function Get_topMargin
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_topMargin);
   end Get_topMargin;

   procedure Put_rightMargin
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_rightMargin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_rightMargin;

   function Get_rightMargin
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_rightMargin);
   end Get_rightMargin;

   procedure Put_bottomMargin
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_bottomMargin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_bottomMargin;

   function Get_bottomMargin
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_bottomMargin);
   end Get_bottomMargin;

   procedure Put_noWrap
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_noWrap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_noWrap;

   function Get_noWrap
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_noWrap);
   end Get_noWrap;

   procedure Put_bgColor
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_bgColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_bgColor;

   function Get_bgColor
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_bgColor);
   end Get_bgColor;

   procedure Put_text
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_text,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_text;

   function Get_text
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_text);
   end Get_text;

   procedure Put_link
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_link,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_link;

   function Get_link
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_link);
   end Get_link;

   procedure Put_vLink
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_vLink,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_vLink;

   function Get_vLink
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_vLink);
   end Get_vLink;

   procedure Put_aLink
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_aLink,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_aLink;

   function Get_aLink
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_aLink);
   end Get_aLink;

   procedure Put_onload
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_onload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onload;

   function Get_onload
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_onload);
   end Get_onload;

   procedure Put_onunload
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_onunload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onunload;

   function Get_onunload
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_onunload);
   end Get_onunload;

   procedure Put_scroll
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_scroll,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scroll;

   function Get_scroll
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_scroll);
   end Get_scroll;

   procedure Put_onselect
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_onselect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onselect;

   function Get_onselect
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_onselect);
   end Get_onselect;

   procedure Put_onbeforeunload
     (This : IHTMLBodyElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement_Put_onbeforeunload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforeunload;

   function Get_onbeforeunload
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement_Get_onbeforeunload);
   end Get_onbeforeunload;

   function createTextRange
     (This : IHTMLBodyElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLBodyElement_createTextRange);
   end createTextRange;

end MSHTML.IHTMLBodyElement_Object;

